Subject: RE: How to avoid GNU make case sensitivity?
From: [email-masked] (Sergey Okhapkin)

16 Aug 1997 11:04:18 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: "[email-masked]" <[email-masked]>,
        "'Richard Stanton'"
	 <[email-masked]>
Encoding: 26 TEXT
Original-Sender: [email-masked]

Richard Stanton wrote:
> I have lots of C files on a FAT (DOS style) formatted disk. Now I'm
> running NT, and when I try to use GNU make to compile stuff, it
> doesn't recognize the files' existence, since NT thinks all the
> filenames are upper case. For example, if I type
> 
> make test.o
> 
> I get an error message about not having a rule to make test.o, when a
> directory listing shows the file TEST.C existing on the
> drive. Renaming it manually to test.c allows me to compile it OK, but
> I'd rather avoid manually renaming every .C file on my system one at a
> time.

#!/bin/sh
for i in *; do
      new=`echo $i|tr [A-Z] [a-z]`;
      mv $i $new
done

-- 
Sergey Okhapkin, http://www.lexa.ru/sos
Moscow, Russia
Looking for a job.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".